%global pypi_name krb5

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 1
Summary:        Kerberos API bindings for Python
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/krb5/
Source:         %{pypi_source}

%description
This library provides Python functions that wraps the Kerberos 5 C API. Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  krb5-devel >= 1.19

%description -n python3-%{pypi_name}
This library provides Python functions that wraps the Kerberos 5 C API. Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE
%doc CHANGELOG.md
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.egg-info/


%changelog
* Tue Mar 22 2022 guillomovitch <guillomovitch> 0.3.0-1.mga9
+ Revision: 1818038
- imported package python-krb5

